package example.company;

import java.util.Iterator;
import java.util.LinkedList;
import java.util.List;

public class Department {
	private String name;
	private List/*Employee*/ members = new LinkedList/*Employee*/();
	private Manager manager = null;
	
	public Department(String name) { this.name = name; }
	
	public void check() {
		for (Iterator iterEmployee = getMembers(); iterEmployee.hasNext();) {
			Employee member = (Employee) iterEmployee.next();
			member.check();
		}
	}

	public void addMember(Employee member) {
		members.add(member);
		member.addDepartment(this);
	}
	public Iterator/*Employee*/ getMembers() {
		return members.iterator();
	}
	
	public void setManager(Manager manager) {
		this.manager = manager;
		addMember(manager);
	}
	public Manager getManager() {
		return manager;
	}
	public String getName() {
		return name;
	}

}
