package example.figures;

// AspectJ dynamic join point model

public aspect MonitoringMove {
	pointcut move() : call(void Point.setX(int))
					|| call(void Point.setY(int))
					|| call(void Line.setP1(Point))
					|| call(void Line.setP2(Point));

	after(FigureElement fe) : move() && target(fe) {
		fe.display.update(fe);
	}
	
}
