package example.figures;

class Point extends FigureElement {
	int x;
	int y;
	
	int getX() { return x; }
	int getY() { return y; }
	
	void setX(int x) { this.x = x; }
	void setY(int y) { this.y = y; }

	// ----------------------------------------------------------
		
	Point(Display display, int x, int y) {
		super(display);
		this.x = x;
		this.y = y;
	}
	
	public String toString() {
		return "Point(" + getX() + "," + getY() + ")";
	}
}
