package example.company;

import java.util.Iterator;
import java.util.List;
import java.util.LinkedList;

public class Company {

	private List /*Department*/departments = new LinkedList /*Department*/();

	public void check() {
		// apply check method to all employees
		for (Iterator/*Department*/ iterDepts = getDepartments(); iterDepts.hasNext();) {
			Department department = (Department) iterDepts.next();
			department.check();
		}
	}

	public void addDepartment(Department department)	{ departments.add(department); }
	public Iterator/*Department*/getDepartments()		{ return departments.iterator(); }

	///////////////////////////////////////////////////////////////

	public static void main(String[] args) {
		Company c = new Company();
		Department rd    = new Department("R&D");
		Department admin = new Department("Administration");
				
		Manager  john = new Manager ("John", "R&D Manager",    4000);
		Employee paul = new Employee("Paul", "Researcher",     1000);
		Employee mick = new Employee("Mick", "System Engineer", 500);
				
		c.addDepartment(rd);
		c.addDepartment(admin);

		rd   .setManager(john);
		rd   .addMember (paul);
		rd   .addMember (mick);
						
		System.out.println("---checking---");
		c.check();
				
		System.out.println("---add members, change salary---");
		mick.setSalary(mick.getSalary()*10);
		Employee robert = new Employee("Robert", "Researcher", 4500);
		rd.addMember(robert);
		
//		Manager  rick = new Manager ("Rick", "Sales Manager",  2000);
		admin.setManager(john);

		System.out.println("---checking---");
		c.check();
		
	}

}
