package example.company;

import java.util.Iterator;
import java.util.LinkedList;
import java.util.List;

public class Employee {


	private List/*Department*/	departments = new LinkedList/*Department*/();
	private String				name;
	private String				position;
	private int				salary;
	
	public Employee(String name, String position, int salary) {
		this.name = name;
		this.position = position;
		this.salary = salary;
	}

	public void check() {
//		System.out.println("Checking: " + name());

		final int minimumSalary = 1000;

		if (getSalary() < minimumSalary)
			System.out.println("CHECK: " + getName() + "'s salary is less than minimum.");
	}

//	void print() {
//		System.out.print(getName() + "@" + getPosition());
//	}

//	int pay() {
//		System.out.println("Paying " + getName());
//		return salary;
//	}

	public Iterator/*Department*/	getDepartments()	{ return departments.iterator(); }
	public int 		getNumDepartments()	{ return departments.size(); }
	public String		getName()		{ return name; }
	public String		getPosition()	{ return position; }
	public int		getSalary()		{ return salary; }

	public void addDepartment(Department department)	{ this.departments.add(department); }
	public void setSalary(int salary)					{ this.salary = salary; }

}
