package example.company.sizechecking;

import example.company.Employee;

abstract public class Department {
	abstract public Employee	getManager();
	abstract public int		getNumMembers();
	abstract public String	getName();
	
	public void check() {
		if (getManager() == null) {
			System.out.println("CHECK: " + getName() + " has no manager.");
		}
		if (getNumMembers() <= 2) {
			System.out.println("CHECK: " + getName() + " has less than two members.");
		}			
	}
}
