package example.figures;

class Line extends FigureElement {
	Point p1;
	Point p2;

	Point getP1() { return p1; }
	Point getP2() { return p2; }

	void setP1(Point p1) { this.p1 = p1; }
	void setP2(Point p2) { this.p2 = p2; }

	// -------------------------------------
	Line(Display display, int x1, int y1, int x2, int y2) {
		super(display);
		this.p1 = new Point(display, x1, y1);
		this.p2 = new Point(display, x2, y2);
	}

	public String toString() {
		return "Line(" + getP1() + "," + getP2() + ")";
	}
}
