(let ((time-stamp "Time-stamp: <2002-06-11 12:59:22 gregor>"))
  (display (string-append "load-it.scm: " (substring time-stamp 13 29)))  
  (newline))

(define asb-version "0.1")

(define *semantics*      #f)
(define *implementation* #f)

(define load-it
  (lambda (semantics implementation)
    (set! *semantics* semantics)
    (set! *implementation* implementation)
    
    (set! semantics      (symbol->string semantics))
    (set! implementation (symbol->string implementation))
    
    (load "misc.scm")
    (load "ast.scm")
    (load "parser.scm")

    (load "base.scm")    
    (load (string-append "weaver=" semantics "-" implementation ".scm"))

    (load "tests.scm")
    (load (string-append "tests="  semantics                    ".scm"))

    ))

;; minimal functionalities
(load-it 'pa		'rt)
;(load-it 'trav		'rt)
;(load-it 'compositor	'ct)
;(load-it 'oc		'ct)
;(load-it 'qb		'ct)

;; additional functionalities
; (load-it 'paex	'rt)
;(load-it 'travex	'rt)
